#ifndef _CEGUI_fix_h_
#define _CEGUI_fix_h_
#pragma warning (push)
#pragma warning( disable : 4267 )
/** This file eases an issue CEGUI has with OGRE's memory manager. Simply include this in
	any files that are going to be doing 'CEGUI stuff', rather than CEGUI.h, OgreCEGUIRender.h,
	OgreCEGUIResourceProvider.h, and OgreCEGUITexture.h (etc). You will be in for smooth(er)
	sailing.
**/

#include <OgreNoMemoryMacros.h>
#include <CEGUI/CEGUI.h>
#include <OgreCEGUIRenderer.h>
#include <OgreCEGUIResourceProvider.h>
#include <OgreCEGUITexture.h>

#include <CEGUI/CEGUILogger.h>
#include <CEGUI/CEGUIWindowManager.h>
#include <CEGUI/CEGUIWindow.h>
#include <CEGUI/elements/CEGUIPushButton.h>
#include <CEGUI/elements/CEGUICombobox.h>
#include <CEGUI/elements/CEGUIListbox.h>
#include <CEGUI/elements/CEGUIListboxTextItem.h>
#include <CEGUIcolour.h>

#include <CEGUI/CEGUISystem.h>
#include <CEGUI/CEGUISchemeManager.h>

#include <OgreMemoryMacros.h>
#pragma warning (pop)
#endif
