
#ifndef _GAMEWORLDSERVER_H_
#define _GAMEWORLDSERVER_H_

#include "tnl.h"
#include "tnlNetBase.h"
#include "tnlGhostConnection.h"
#include "tnlNetInterface.h"
#include "tnlNetObject.h"
#include "tnlLog.h"
#include "tnlRPC.h"
#include "tnlString.h"
#include "tnlAsymmetricKey.h"

#include "GameWorld.h"
#include "Position.h"

using namespace TNL;

namespace DinastyOnline {
	namespace Network {

		class Player;
		class GameNetInterface;
		class GameConnection;
	
		class GameWorldServer : public GameWorld {
			typedef GameWorld Parent;
			
		public:
	
			GameWorldServer(const TNL::Address &bindAddress);
			
			~GameWorldServer();
			
			bool isServer() { return true; }
	
		};
	}
}

#endif

